Create an export policy rule client
Creates a client for an export policy rule, specifying how the rule applies to NFS client requests. This operation is useful when you need to define or modify access permissions for specific clients under an export policy.
HTTP method and endpoint
POST /protocols/nfs/export-policies/{policy.id}/rules/{index}/clients
Introduced in
ONTAP 9.6
Usage notes
Creates an export policy rule client
Required properties
-
policy.id- Existing export policy that contains export policy rules for the client being added. -
index- Existing export policy rule for which to create an export client. -
match- Base name for the export policy client.
Related ONTAP commands
-
vserver export-policy rule add-clientmatches
Learn more
Parameters
| Name | Type | In | Required | Description |
|---|---|---|---|---|
policy.id |
integer |
path |
True |
Export Policy ID |
index |
integer |
path |
True |
Export Rule Index |
return_records |
boolean |
query |
False |
The default is false. If set to true, the records are returned.
|
Request Body
| Name | Type | Description |
|---|---|---|
index |
integer |
Index of the rule within the export policy. |
match |
string |
Client Match Hostname, IP Address, Netgroup, or Domain. You can specify the match as a string value in any of the following formats:
|
policy |
||
svm |
Example request
{
"index": 0,
"match": "0.0.0.0/0",
"svm": {
"name": "svm1",
"uuid": "02c9e252-41be-11e9-81d5-00a0986138f7"
}
}
Response
Status: 201, Created
| Name | Type | Description |
|---|---|---|
num_records |
integer |
Number of export rule client records |
records |
array[export_client] |
Example response
{
"num_records": 1,
"records": [
{
"index": 0,
"match": "0.0.0.0/0",
"svm": {
"name": "svm1",
"uuid": "02c9e252-41be-11e9-81d5-00a0986138f7"
}
}
]
}
Headers
| Name | Description | Type |
|---|---|---|
Location |
Useful for tracking the resource location |
string |
Error
Status: Default
ONTAP Error Response Codes
| Error Code | Description |
|---|---|
1703954 |
Export policy does not exist |
1704036 |
Invalid clientmatch: missing domain name |
1704037 |
Invalid clientmatch: missing network name |
1704038 |
Invalid clientmatch: missing netgroup name |
1704039 |
Invalid clientmatch |
1704040 |
Invalid clientmatch: address bytes masked out by netmask are non-zero |
1704041 |
Invalid clientmatch: address bytes masked to zero by netmask |
1704042 |
Invalid clientmatch: too many bits in netmask |
1704043 |
Invalid clientmatch: invalid netmask |
1704044 |
Invalid clientmatch: invalid characters in host name |
1704045 |
Invalid clientmatch: invalid characters in domain name |
1704050 |
Invalid clientmatch: the clientmatch list contains a duplicate string. Duplicate strings in a clientmatch list are not supported |
1704051 |
Warning: Not adding any new strings to the clientmatch field for ruleindex. All of the match strings are already in the clientmatch list |
1704054 |
Invalid clientmatch: invalid characters in netgroup name. Valid characters for a netgroup name are 0-9, A-Z, a-z, ".", "_" and "-" |
1704064 |
Clientmatch host name too long |
1704065 |
Clientmatch domain name too long |
Definitions
See Definitions
policy
| Name | Type | Description |
|---|---|---|
id |
integer |
Export policy ID |
href
| Name | Type | Description |
|---|---|---|
href |
string |
_links
svm
| Name | Type | Description |
|---|---|---|
name |
string |
The name of the SVM. |
uuid |
string |
The unique identifier of the SVM. |
export_client
| Name | Type | Description |
|---|---|---|
index |
integer |
Index of the rule within the export policy. |
match |
string |
Client Match Hostname, IP Address, Netgroup, or Domain. You can specify the match as a string value in any of the following formats:
|
policy |
||
svm |
export_client
| Name | Type | Description |
|---|---|---|
index |
integer |
Index of the rule within the export policy. |
match |
string |
Client Match Hostname, IP Address, Netgroup, or Domain. You can specify the match as a string value in any of the following formats:
|
policy |
||
svm |
error_arguments
| Name | Type | Description |
|---|---|---|
code |
string |
Argument code |
message |
string |
Message argument |
error
| Name | Type | Description |
|---|---|---|
arguments |
array[error_arguments] |
Message arguments |
code |
string |
Error code |
message |
string |
Error message |
target |
string |
The target parameter that caused the error. |